Subject: Re: bug#13079: 24.3.50; Emacs cannot create subprocess

From: Eli Zaretskii <[email-masked]>
Date: Thu, 06 Dec 2012 05:54:28 +0200

> Date: Thu, 6 Dec 2012 09:58:19 +0800
> From: Li Zhai <[email-masked]>
> Cc: [email-masked]
> 
> I got it. The maximize number of calling mktemp is 42 if we don't
> remove the temporary em* files.

Yes.

> I found a very interesting discuss about the limit of mktemp on windows.
> 
> http://gcc.gnu.org/bugzilla/show_bug.cgi?id=47439
> 
> They implement a new mktemp function to walk around the limit on the
> number of concurrently open files.
> 
> Can we implement our mktemp functions instead of using microsoft's stuff?

But that will just push the limit farther.  It will not fix the
underlying fundamental problem of not deleting temporary files in this
case.  Since Emacs is typically run for long periods of time, sooner
or later the problem will strike anyway.